<%@Import Namespace="System.Drawing.Imaging" %>
<%@ Import Namespace="system.drawing" %>
<%@Import Namespace="System.Drawing.Drawing2D" %>
<script language="VB" runat="server">
	
  Function ThumbnailCallback() as Boolean
    Return False
  End Function

   Sub Page_Load(sender as Object, e as EventArgs)

	Dim imageURL as String = Request.QueryString("path")
	Dim useridno as String = Request.QueryString("id")
	Dim useridin as String = Request.QueryString("at")
	imageURL = "upload_file/" + useridno + "/" + imageURL
	
	Dim MaxWidth as Integer = Request.QueryString("w")
	Dim MaxHeight as Integer = Request.QueryString("h")

    Dim imageWidth as Integer
	Dim imageHeight as Integer

	Dim fullSizeImg as System.Drawing.Image

    try 

	    imageUrl = Server.MapPath(imageURL)
	    fullSizeImg = System.Drawing.Image.FromFile(imageUrl)
	    
    Catch ex As Exception

	    imageUrl = "../images/underprocess.gif"
	    imageUrl = Server.MapPath(imageURL)
		fullSizeImg = System.Drawing.Image.FromFile(imageUrl)
		
	End Try

		    Dim imgWidth as Integer = fullSizeImg.Width
		    Dim imgHeight as Integer = fullSizeImg.Height

		    Dim scalefactor as Double
		    Dim scalefactor_w as Double
		    Dim scalefactor_h as Double
    		
		    if imgwidth > maxwidth or imgheight > maxheight Then
				    scalefactor_w = maxwidth / imgwidth
			        scalefactor_h = maxheight / imgheight
                if scalefactor_w > scalefactor_h Then
                    scalefactor = scalefactor_h
                Else
                    scalefactor = scalefactor_w
                End if
    		    
			    imgwidth  = imgwidth * scalefactor
			    imgheight = imgheight* scalefactor
    		    
		    End If
		    
		    imageWidth = imgWidth
		    imageHeight = imgHeight

    'This will only work for jpeg images

    Response.ContentType = "image/jpeg"
    If imageHeight > 0 and imageWidth > 0 then
		Dim dummyCallBack as System.Drawing.Image.GetThumbNailImageAbort
		dummyCallBack = New System.Drawing.Image.GetThumbnailImageAbort(AddressOf ThumbnailCallback)
		
		Dim thumbNailImg as System.Drawing.Image
		thumbNailImg = fullSizeImg.GetThumbnailImage(imageWidth, imageHeight, dummyCallBack, IntPtr.Zero)
	
		Dim g As System.Drawing.Graphics = System.Drawing.Graphics.FromImage(thumbNailImg)
		
		'Sets the interpolation mode for a high quality image
		
		g.InterpolationMode = System.Drawing.Drawing2D.InterpolationMode.HighQualityBicubic
		g.DrawImage(fullSizeImg, 0, 0, imagewidth, imageheight)
		g.SmoothingMode = SmoothingMode.HighQuality 
		 
	    thumbNailImg.Save(Response.OutputStream, ImageFormat.jpeg)  
    Else
      fullSizeImg.Save(Response.OutputStream, ImageFormat.jpeg)  
    End If

	fullSizeImg.Dispose()

End Sub


</script>


